import pytest
from orders import Orders, PaymentMethod

def test_order_total():
    items = [
        MockItem(10),
        MockItem(20),
        MockItem(30)
    ]
    order = Orders(items)
    assert order.total == 100

class MockItem:
    def __init__(self, price):
        self.price = price

def test_payment_successful():
    order = Orders([])
    payment_method = MockPaymentMethod(True)
    result = order.process_payment(payment_method)
    assert result == "payment processed successfully"

def test_payment_failed():
    order = Orders([])
    payment_method = MockPaymentMethod(False)
    result = order.process_payment(payment_method)
    assert result == "payment failed"


class MockPaymentMethod:
    def __init__(self, payment_status):
        self.payment_status = payment_status

    def validate_payment(self, amount):
        return self.payment_status